Solana RPC
getBlockProduction
Returns recent block production information from the current or previous epoch.
POST
/
getBlockProduction
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getBlockProduction",
"params": []
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getBlockProduction",
"params": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', id: '1', method: 'getBlockProduction', params: []})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": "<string>",
"result": {
"context": {
"slot": 9887
},
"value": {
"byIdentity": {
"85iYT5RuzRTDgjyRa3cP8SYhM2j21fj7NhfJ3peu1DPr": [
9888,
9886
]
},
"range": {
"firstSlot": 0,
"lastSlot": 9887
}
}
}
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
}
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}Request Parameters
string
The commitment level for the request.
processedconfirmedfinalized
string
Optional validator identity public key (base-58 encoded) to filter results for a specific validator.
object
Optional slot range boundaries to limit the block production statistics time period.
number
Starting slot number to begin analyzing block production statistics from (inclusive).
number
Ending slot number to analyze block production statistics until (inclusive). If omitted, uses the current slot.
Authorizations
Body
application/json
The JSON-RPC protocol version.
Available options:
2.0 A unique identifier for the request.
Example:
"1"
The name of the RPC method to invoke.
Available options:
getBlockProduction Parameters for the request.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
getBlockProduction
